From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Fri, 28 Feb 2025 07:25:32 +0100
Subject: Modernize PHPUnit syntax

---
 Test/IriTest.php | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/Test/IriTest.php b/Test/IriTest.php
index 79b0067..445faf1 100644
--- a/Test/IriTest.php
+++ b/Test/IriTest.php
@@ -10,6 +10,7 @@
 namespace ML\IRI\Test;
 
 use ML\IRI\IRI;
+use PHPUnit\Framework\Attributes\DataProvider;
 
 /**
  * The IRI test suite.
@@ -31,9 +32,8 @@ class IriTest extends \PHPUnit\Framework\TestCase
      * @param string|null $path     The path.
      * @param string|null $query    The query component.
      * @param string|null $fragment The fragment identifier.
-     *
-     * @dataProvider decompositionProvider
      */
+    #[DataProvider('decompositionProvider')]
     public function testDecomposition($iri, $scheme, $userinfo, $host, $port, $path, $query, $fragment)
     {
         $iri = new IRI($iri);
@@ -94,9 +94,8 @@ class IriTest extends \PHPUnit\Framework\TestCase
      *
      * @param string $iri        The IRI to test.
      * @param bool   $isAbsolute True if the IRI is absolute, false otherwise.
-     *
-     * @dataProvider isAbsoluteProvider
      */
+    #[DataProvider('isAbsoluteProvider')]
     public function testIsAbsolute($iri, $isAbsolute)
     {
         $iri = new IRI($iri);
@@ -225,9 +224,8 @@ class IriTest extends \PHPUnit\Framework\TestCase
      * @param string $base      The base IRI.
      * @param string $reference The reference to resolve.
      * @param string $expected  The expected absolute IRI.
-     *
-     * @dataProvider referenceResolutionProvider
      */
+    #[DataProvider('referenceResolutionProvider')]
     public function testReferenceResolution($base, $reference, $expected)
     {
         $base = new IRI($base);
@@ -918,9 +916,8 @@ class IriTest extends \PHPUnit\Framework\TestCase
      * @param string $base           The base IRI.
      * @param bool   $schemaRelative Should schema-relative IRIs be created?
      * @param string $expected       The expected IRI reference.
-     *
-     * @dataProvider relativizeProvider
      */
+    #[DataProvider('relativizeProvider')]
     public function testRelativize($iri, $base, $schemaRelative, $expected)
     {
         $iri = new IRI($iri);
